﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2014: (1 year) VER IEEE /9500+1Hd
DATE:                  2010-08-10 11:49:30
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       242
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
# 
#  Models covered:
#        TDS 2014
# 
#  Source(s):
#        TDS1000 and TDS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1076-02
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000/2000 Specifications
#        Sub Tek TDS1000/2000 Setup IEEE
#        Sub Tek TDS1000/2000 Self-Test IEEE
#        Sub Tek TDS1000/2000 Sig Path Comp Cal IEEE
#        Sub Tek TDS1000/2000 Select Channel IEEE
#        Sub Tek TDS1000/2000 Trigger Chk and Level Adj IEEE
#        Sub Tek TDS1000/2000 (1 yr) DCV Meas IEEE /9500
#        Sub Tek TDS1000/2000 (1 yr) Bandwidth IEEE /9500
#        Sub Tek TDS1000/2000 (1 yr) Trig Sens IEEE /9500
#        Sub Tek TDS1000/2000 (1 yr) Sample Rate IEEE /9500
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd
#        Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  18 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.20Z"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         PRELIMINARY INSTRUCTIONS
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  TARGET
  1.017  CALL         Sub Tek TDS1000/2000 Setup IEEE
  1.018  JMPL         END                          @Abort
  1.019  IEEE2        *RST

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.022  MATH         @UUT_Model = "TDS 2014"
  1.023  MATH         @UUT_Manufacturer = "Tektronix"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                          @Abort

  1.026  CALL         Sub Tek TDS1000/2000 Specifications

  1.027  MATH         @NumHeads = 1
  1.028  CALL         Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
  1.029  JMPL         END                          @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           BANDWIDTH(CH1)
#    5.   DCV MEASUREMENT ACC(CH3)           EDGE-TRIGGER SENSITIVITY(CH1)
#    6.   DCV MEASUREMENT ACC(CH4)           SAMPLE RATE AND DELAY TIME ACC
#    7.   BANDWIDTH(CH1)                     DCV MEASUREMENT ACC(CH2)
#    8.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#    9.   BANDWIDTH(CH3)                     EDGE-TRIGGER SENSITIVITY(CH2)
#   10.   BANDWIDTH(CH4)                     DCV MEASUREMENT ACC(CH3)
#   11.   EDGE-TRIGGER SENSITIVITY(CH1)      BANDWIDTH(CH3)
#   12.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH3)
#   13.   EDGE-TRIGGER SENSITIVITY(CH3)      DCV MEASUREMENT ACC(CH4)
#   14.   EDGE-TRIGGER SENSITIVITY(CH4)      BANDWIDTH(CH4)
#   15.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  EDGE-TRIGGER SENSITIVITY(CH4)
#   16.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   17.   EXT EDGE-TRIGGER SENSITIVITY(CH3)  EXT EDGE-TRIGGER SENSITIVITY(CH2)
#   18.   EXT EDGE-TRIGGER SENSITIVITY(CH4)  EXT EDGE-TRIGGER SENSITIVITY(CH3)
#   19.   SAMPLE RATE AND DELAY TIME ACC     EXT EDGE-TRIGGER SENSITIVITY(CH4)

  1.030  CALL         Sub Tek TDS1000/2000 Self-Test IEEE
  1.031  JMPL         END                          @Abort
  1.032  CALL         Sub Tek TDS1000/2000 Sig Path Comp Cal IEEE
  1.033  JMPL         END                          @Abort

  1.034  MATH         @Chan = 1
  1.035  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9500
  1.036  JMPL         BANDWIDTH_CH1

  1.037  LABEL        DCV_CH2
  1.038  MATH         @Chan = 2
  1.039  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9500
  1.040  JMPL         BANDWIDTH_CH2

  1.041  LABEL        DCV_CH3
  1.042  MATH         @Chan = 3
  1.043  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9500
  1.044  JMPL         BANDWIDTH_CH3

  1.045  LABEL        DCV_CH4
  1.046  MATH         @Chan = 4
  1.047  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9500
  1.048  JMPL         BANDWIDTH_CH4

  1.049  LABEL        BANDWIDTH_CH1
  1.050  MATH         @Chan = 1
  1.051  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9500
  1.052  JMPL         TRIG_CH1

  1.053  LABEL        BANDWIDTH_CH2
  1.054  MATH         @Chan = 2
  1.055  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9500
  1.056  JMPL         TRIG_CH2

  1.057  LABEL        BANDWIDTH_CH3
  1.058  MATH         @Chan = 3
  1.059  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9500
  1.060  JMPL         TRIG_CH3

  1.061  LABEL        BANDWIDTH_CH4
  1.062  MATH         @Chan = 4
  1.063  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9500
  1.064  JMPL         TRIG_CH4

  1.065  LABEL        TRIG_CH1
  1.066  MATH         @Chan = 1
  1.067  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9500
  1.068  JMPL         SAMPLE_RATE_DELAY_TIME

  1.069  LABEL        TRIG_CH2
  1.070  MATH         @Chan = 2
  1.071  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9500
  1.072  JMPL         DCV_CH3

  1.073  LABEL        TRIG_CH3
  1.074  MATH         @Chan = 3
  1.075  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9500
  1.076  JMPL         DCV_CH4

  1.077  LABEL        TRIG_CH4
  1.078  MATH         @Chan = 4
  1.079  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9500

  1.080  MATH         @Chan = 1
  1.081  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd

  1.082  MATH         @Chan = 2
  1.083  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd

  1.084  MATH         @Chan = 3
  1.085  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd

  1.086  MATH         @Chan = 4
  1.087  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd
  1.088  JMPL         END

  1.089  LABEL        SAMPLE_RATE_DELAY_TIME
  1.090  MATH         @Chan = 1
  1.091  CALL         Sub Tek TDS1000/2000 (1 yr) Sample Rate IEEE /9500
  1.092  JMPL         DCV_CH2

  1.093  LABEL        END

  1.094  IF           @Abort
  1.095  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.096  ELSE
  1.097  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.098  ENDIF

  1.099  IEEE2        *RST
  1.100  END
